รายการวิดีโอที่เกี่ยวข้องกับสินค้า
บทนำ
รับรายการวิดีโอที่เกี่ยวข้องกับสินค้าที่ระบุ โดยมีคุณสมบัติต่อไปนี้:
- ค้นหาตาม ID สินค้า
- คืนข้อมูลวิดีโอโดยละเอียด รวมถึงคำอธิบายวิดีโอ จำนวนการเล่น และข้อมูลการมีส่วนร่วม
- รวมถึงข้อมูลการขายที่เชื่อมโยงกับวิดีโอ เช่น ยอดขายและรายได้
เอนด์พอยต์ API
bash
POST /product/v1/videoListพารามิเตอร์คำขอ
| ฟิลด์ | ประเภท | จำเป็น | คำอธิบาย |
|---|---|---|---|
product_id | string | ใช่ | ID สินค้า |
days | int | ไม่ | N วันล่าสุด (เวลาที่เผยแพร่) |
create_time_range | int | ไม่ | ช่วงเวลาที่เผยแพร่วิดีโอ ( unix timestamp ) |
is_ad | int | ไม่ | เป็นโฆษณาหรือไม่ (0: ไม่ 1: ใช่) |
หมายเหตุ:
daysและcreate_time_rangeไม่สามารถส่งมาพร้อมกันได้
ตัวอย่างคำขอ
bash
curl 'https://openapi.fastmoss.com/product/v1/videoList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"product_id": "1729421229342823356",
# "days": 3,
"create_time_range": {
"min": 1767196800,
"max": 1777278619
}
},
"orderby": {
"field": "play_count",
"order": "desc"
},
# "orderby": {
# "field": "digg_count",
# "order": "desc"
# },
# "orderby": {
# "field": "comment_count",
# "order": "desc"
# },
# "orderby": {
# "field": "share_count",
# "order": "desc"
# },
# "orderby": {
# "field": "units_sold",
# "order": "desc"
# },
# "orderby": {
# "field": "gmv",
# "order": "desc"
# },
"page": 1,
"pagesize": 10
}'เนื้อความการตอบกลับ
data.list
| ฟิลด์ | ประเภท | คำอธิบาย |
|---|---|---|
product_id | string | ID สินค้า |
video_id | string | ID วิดีโอ |
uid | string | ID ผู้ใช้ |
seller_id | string | ID ผู้ขาย |
is_ad | int | เป็นโฆษณาหรือไม่ |
comment_count | int | จำนวนความคิดเห็น |
digg_count | int | จำนวนถูกใจ |
play_count | int | จำนวนการเล่น |
share_count | int | จำนวนการแชร์ |
create_date | string | วันที่สร้าง |
units_sold | int | ยอดขาย |
gmv | float | รายได้จากการขาย |
region | string | ประเทศ/ภูมิภาค |
video | object | อ็อบเจกต์ข้อมูลวิดีโอ |
data.list.video
| ฟิลด์ | ประเภท | คำอธิบาย |
|---|---|---|
video_desc | string | คำอธิบายวิดีโอ |
cover | string | URL รูปภาพปก |
duration | int | ระยะเวลา (วินาที) |
fastmoss_url | string | ลิงก์ Fastmoss |
tiktok_url | string | ลิงก์ TikTok |
uid | string | ID ผู้ใช้ |
create_time | timestamp | เวลาที่สร้าง |
data.total
| ฟิลด์ | ประเภท | คำอธิบาย |
|---|---|---|
total | string | จำนวนรายการทั้งหมด |
ตัวอย่างการตอบกลับ
json
{
"code": 0,
"data": {
"list": [
{
"product_id": "1729421229342823356",
"video_id": "7468186866076880170",
"uid": "6790997286808093702",
"is_ad": 0,
"seller_id": "7495150597721263036",
"comment_count": 0,
"digg_count": 14,
"play_count": 4592,
"share_count": 0,
"create_time": 1765024218000,
"units_sold": 28,
"gmv": 700.0,
"video": {
"video_desc": "@tarte cosmetics #tiktokshoploveatfirstfind #fypシ #tartecosmetics ",
"cover": "https://s.500fd.com/tt_video/oIMPp5BmEi2ZEHYBiVzCkBKA0IlmpTGfwAhiOI",
"duration": 12,
"fastmoss_url": "https://www.fastmoss.com/zh/media-source/video/7468186866076880170",
"tiktok_url": "https://www.tiktok.com/@brriiddgett/video/7468186866076880170",
"uid": "6790997286808093702"
},
"region": "US"
}
],
"total": "3809"
},
"message": "success",
"timestamp": 1743573480,
"request_id": "efd631c4-92cf-5d27-4f41-de09f20dd714"
}